From 744feab59f0a794e373a575844a9ec78de18c0b2 Mon Sep 17 00:00:00 2001
From: Adam Borowski <kilobyte@angband.pl>
Date: Thu, 5 Apr 2018 23:28:30 +0200
Subject: [PATCH 2/3] Use arch-test if installed to check whether second stage
 is possible.

---
 debootstrap | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

diff --git a/debootstrap b/debootstrap
index 9b547ad..772e443 100755
--- a/debootstrap
+++ b/debootstrap
@@ -526,6 +526,22 @@ fi
 
 ###########################################################################
 
+if [ -x /usr/bin/arch-test ] && am_doing_phase second_stage; then
+	if doing_variant fakechroot; then
+		ret=0; arch-test "$ARCH" || ret=$?
+	else
+		ret=0; arch-test -c "$TARGET" "$ARCH" || ret=$?
+	fi
+
+	case $ret in
+	0)	info ARCHEXEC "Target architecture can be executed" ;;
+	1)	error 1 ARCHNOTEXEC "Unable to execute target architecture" ;;
+	*)	info ARCHEXECUNKNOWN "Can't verify that target arch works" ;;
+	esac
+fi
+
+###########################################################################
+
 if [ "$UNPACK_TARBALL" ]; then
 	if [ "${UNPACK_TARBALL#/}" = "$UNPACK_TARBALL" ]; then
 		error 1 TARPATH "Tarball must be given a complete path"
-- 
2.17.0

